Sign inGet started

Workspaces

GET
/organizations/{organizationId}/workspaces
List the workspaces for the organization.
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
results
array of object
erforderlich
List of results.
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
Workspace ID.
results.organizationId
string
erforderlich
ID of the organization this workspace is part of.
results.status
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions
array of object
Untergeordnete Attribute anzeigen
results.statusTransitions.fromStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.toStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.reason
string
erforderlich
Possible values: org-banned, user-initiated, payment-default, inactivity
results.statusTransitions.comment
string
results.statusTransitions.transitionedAt
string
erforderlich
results.statusTransitions.transitionedBy
object
erforderlich
Untergeordnete Attribute anzeigen
results.statusTransitions.transitionedBy.id
string
erforderlich
results.statusTransitions.transitionedBy.type
string
erforderlich
Possible values: user, accesskey, contact
results.name
string
erforderlich
The display name for the workspace
results.description
string
The description for the workspace
results.dataPolicy
object
erforderlich
The data storage policy for a resource.
Untergeordnete Attribute anzeigen
results.dataPolicy.group
string
erforderlich
The name of the region group used for storage.
results.dataPolicy.regions
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.dataPolicy.regions.region
string
erforderlich
The name of the AWS region.
results.dataPolicy.regions.priority
integer
erforderlich
The priority to give to this region when storing data.
results.dataPolicy.piiStrategy
string
erforderlich
Possible values: default, strict
results.configuration
object
Untergeordnete Attribute anzeigen
results.configuration.domain
string
Domain name.
results.createdAt
string
erforderlich
When the workspace was created.
results.updatedAt
string
erforderlich
When the workspace was last updated.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/workspaces
Create a workspace for the organization.
Anfrage-Payload
name
string
erforderlich
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
erforderlich
The data storage policy for a resource.
Untergeordnete Parameter anzeigen
dataPolicy.group
string
erforderlich
The name of the region group used for storage. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions
array of object
erforderlich
Untergeordnete Parameter anzeigen
dataPolicy.regions.region
string
erforderlich
The name of the AWS region. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions.priority
integer
erforderlich
The priority to give to this region when storing data.
configuration
object
Untergeordnete Parameter anzeigen
configuration.domain
string
Domain name.
userUsername
string
The username of the user that is creating the workspace.
flavors
array of string
Antwort-Payload
id
string
erforderlich
Workspace ID.
organizationId
string
erforderlich
ID of the organization this workspace is part of.
status
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Untergeordnete Attribute anzeigen
statusTransitions.fromStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
erforderlich
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
erforderlich
statusTransitions.transitionedBy
object
erforderlich
Untergeordnete Attribute anzeigen
statusTransitions.transitionedBy.id
string
erforderlich
statusTransitions.transitionedBy.type
string
erforderlich
Possible values: user, accesskey, contact
name
string
erforderlich
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
erforderlich
The data storage policy for a resource.
Untergeordnete Attribute anzeigen
dataPolicy.group
string
erforderlich
The name of the region group used for storage.
dataPolicy.regions
array of object
erforderlich
Untergeordnete Attribute anzeigen
dataPolicy.regions.region
string
erforderlich
The name of the AWS region.
dataPolicy.regions.priority
integer
erforderlich
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
erforderlich
Possible values: default, strict
configuration
object
Untergeordnete Attribute anzeigen
configuration.domain
string
Domain name.
createdAt
string
erforderlich
When the workspace was created.
updatedAt
string
erforderlich
When the workspace was last updated.
Codebeispiel
curl -X POST 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/workspaces/{workspaceId}
Get the workspace instance.
Antwort-Payload
id
string
erforderlich
Workspace ID.
organizationId
string
erforderlich
ID of the organization this workspace is part of.
status
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Untergeordnete Attribute anzeigen
statusTransitions.fromStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
erforderlich
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
erforderlich
statusTransitions.transitionedBy
object
erforderlich
Untergeordnete Attribute anzeigen
statusTransitions.transitionedBy.id
string
erforderlich
statusTransitions.transitionedBy.type
string
erforderlich
Possible values: user, accesskey, contact
name
string
erforderlich
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
erforderlich
The data storage policy for a resource.
Untergeordnete Attribute anzeigen
dataPolicy.group
string
erforderlich
The name of the region group used for storage.
dataPolicy.regions
array of object
erforderlich
Untergeordnete Attribute anzeigen
dataPolicy.regions.region
string
erforderlich
The name of the AWS region.
dataPolicy.regions.priority
integer
erforderlich
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
erforderlich
Possible values: default, strict
configuration
object
Untergeordnete Attribute anzeigen
configuration.domain
string
Domain name.
createdAt
string
erforderlich
When the workspace was created.
updatedAt
string
erforderlich
When the workspace was last updated.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/workspaces/{workspaceId}
Delete a workspace from the organization.
Codebeispiel
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/workspaces/{workspaceId}
Update a workspace's properties.
Anfrage-Payload
name
string
The display name for the workspace
description
string
The description for the workspace
Antwort-Payload
id
string
erforderlich
Workspace ID.
organizationId
string
erforderlich
ID of the organization this workspace is part of.
status
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Untergeordnete Attribute anzeigen
statusTransitions.fromStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
erforderlich
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
erforderlich
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
erforderlich
statusTransitions.transitionedBy
object
erforderlich
Untergeordnete Attribute anzeigen
statusTransitions.transitionedBy.id
string
erforderlich
statusTransitions.transitionedBy.type
string
erforderlich
Possible values: user, accesskey, contact
name
string
erforderlich
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
erforderlich
The data storage policy for a resource.
Untergeordnete Attribute anzeigen
dataPolicy.group
string
erforderlich
The name of the region group used for storage.
dataPolicy.regions
array of object
erforderlich
Untergeordnete Attribute anzeigen
dataPolicy.regions.region
string
erforderlich
The name of the AWS region.
dataPolicy.regions.priority
integer
erforderlich
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
erforderlich
Possible values: default, strict
configuration
object
Untergeordnete Attribute anzeigen
configuration.domain
string
Domain name.
createdAt
string
erforderlich
When the workspace was created.
updatedAt
string
erforderlich
When the workspace was last updated.
Codebeispiel
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'